/** 
 * Copyright 2004-2008 MTBJ, Inc.  
 *   
 * Licensed under the Apache License, Version 2.0 (the "License");  
 * you may not use this file except in compliance with the License.  
 * You may obtain a copy of the License at  
 *   
 *      http://www.apache.org/licenses/LICENSE-2.0  
 *   
 * Unless required by applicable law or agreed to in writing, software  
 * distributed under the License is distributed on an "AS IS" BASIS,  
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  
 * See the License for the specific language governing permissions and  
 * limitations under the License.  
 */  
 
//----------------------------------------------------
// The following code was generated by CUP v0.11a beta 20060608
// Mon Sep 08 16:23:44 CDT 2008
//----------------------------------------------------

package com.dtrules.compiler.cup;

/** CUP generated class containing symbol constants. */
public class sym {
  /* terminals */
  public static final int STARTS_WITH = 131;
  public static final int LBRACE = 74;
  public static final int ROPERATOR = 122;
  public static final int FLOAT = 54;
  public static final int GT = 60;
  public static final int INCLUDES = 67;
  public static final int GET = 58;
  public static final int UNDEFINED = 151;
  public static final int INCLUDE = 66;
  public static final int ARROW = 11;
  public static final int CACHE = 21;
  public static final int VALUE = 154;
  public static final int THAN = 139;
  public static final int ARRAY_OF_VALUES = 10;
  public static final int RPAREN = 124;
  public static final int DEBUG = 34;
  public static final int RXMLVALUE = 127;
  public static final int ROUNDED = 123;
  public static final int DECREMENT = 36;
  public static final int LOCAL = 78;
  public static final int WHERE = 156;
  public static final int TIMES = 144;
  public static final int ATTRIBUTE = 14;
  public static final int SUM_OF = 136;
  public static final int FORALL = 56;
  public static final int ERRORCODE = 52;
  public static final int RNULL = 121;
  public static final int ELSEIF = 45;
  public static final int UMINUS = 150;
  public static final int RBOOLEAN = 109;
  public static final int ARRAY = 9;
  public static final int EQ = 50;
  public static final int RINVALID = 118;
  public static final int DESCENDINGORDER = 37;
  public static final int YEAROF = 160;
  public static final int DAYS = 33;
  public static final int ADD = 4;
  public static final int WAS = 155;
  public static final int EACH = 41;
  public static final int CONDITION = 28;
  public static final int ASSIGN = 13;
  public static final int RNAME = 120;
  public static final int AFTER = 5;
  public static final int NULL = 97;
  public static final int ONE = 101;
  public static final int EOF = 0;
  public static final int MINUS = 88;
  public static final int CURRENT_TIMESTAMP = 31;
  public static final int RARRAY = 108;
  public static final int ALLOWING = 7;
  public static final int LTE = 83;
  public static final int MAP = 84;
  public static final int TRIM = 149;
  public static final int ACTION = 3;
  public static final int USING = 153;
  public static final int ELSEIFNONEAREFOUND = 46;
  public static final int ELSE = 44;
  public static final int EQUAL = 51;
  public static final int HAVE = 63;
  public static final int END = 47;
  public static final int OR = 102;
  public static final int FIRST = 53;
  public static final int NAME = 91;
  public static final int ON = 100;
  public static final int LESS = 77;
  public static final int QUESTIONMARK = 106;
  public static final int AND = 8;
  public static final int SUBTRACT = 135;
  public static final int DECIMAL_PLACES = 35;
  public static final int NUMBEROF = 98;
  public static final int THIS = 143;
  public static final int OF = 99;
  public static final int MATCHES = 86;
  public static final int TOBEREMOVED = 147;
  public static final int BY = 20;
  public static final int SEMI = 128;
  public static final int INCREMENT = 68;
  public static final int CHANGE = 22;
  public static final int TABLE = 137;
  public static final int BOOLEAN = 19;
  public static final int NEW = 94;
  public static final int THROUGH = 145;
  public static final int NO = 95;
  public static final int IDENT = 161;
  public static final int NEQ = 93;
  public static final int RCURLY = 111;
  public static final int ABSOLUTEVALUE = 2;
  public static final int AT = 15;
  public static final int BETWEEN = 17;
  public static final int RDATE = 112;
  public static final int PLUS = 104;
  public static final int LPAREN = 81;
  public static final int ALL = 6;
  public static final int RELATIONSHIP_BETWEEN = 115;
  public static final int CURRENT_DATE = 30;
  public static final int RBRACE = 110;
  public static final int RTABLE = 126;
  public static final int COPY = 29;
  public static final int GREATER = 59;
  public static final int RDECISIONTABLE = 113;
  public static final int ELEMENT = 43;
  public static final int CONTEXT = 26;
  public static final int COMMA = 27;
  public static final int HASA = 62;
  public static final int RLONG = 119;
  public static final int LT = 82;
  public static final int THENAME = 141;
  public static final int MONTHS = 89;
  public static final int ASCENDINGORDER = 12;
  public static final int MEMBER = 87;
  public static final int ISNULL = 72;
  public static final int DATE = 32;
  public static final int TOKENIZE = 148;
  public static final int NOT = 96;
  public static final int WITH = 157;
  public static final int DOES = 39;
  public static final int NAMEOF = 92;
  public static final int STR = 132;
  public static final int ENDIF = 48;
  public static final int BEFORE = 16;
  public static final int LONG = 79;
  public static final int FOR = 55;
  public static final int THEN = 140;
  public static final int INTEGER = 69;
  public static final int DIVIDE = 38;
  public static final int STRING = 133;
  public static final int DOUBLE = 40;
  public static final int EARLIEST = 42;
  public static final int TABLEINFORMATION = 138;
  public static final int LOWER_CASE = 80;
  public static final int ITS = 73;
  public static final int FROM = 57;
  public static final int ENTITY = 49;
  public static final int BOOL_FUNCTION = 18;
  public static final int WITH_BOUNDRY = 158;
  public static final int CLONE = 24;
  public static final int RANDOMIZE = 107;
  public static final int LENGTH = 76;
  public static final int POSSESSIVE = 105;
  public static final int GTE = 61;
  public static final int IS = 70;
  public static final int MULTIPLY = 90;
  public static final int UPPER_CASE = 152;
  public static final int IN = 65;
  public static final int MAXPRINT = 162;
  public static final int error = 1;
  public static final int YEARS = 159;
  public static final int SORT = 130;
  public static final int IF = 64;
  public static final int RDOUBLE = 114;
  public static final int RSTRING = 125;
  public static final int ISNOTNULL = 71;
  public static final int COLON = 25;
  public static final int SET = 129;
  public static final int PERFORM = 103;
  public static final int SUBSTRING = 134;
  public static final int LCURLY = 75;
  public static final int THERE = 142;
  public static final int CLEAR = 23;
  public static final int REMOVE = 116;
  public static final int RENTITY = 117;
  public static final int TO = 146;
  public static final int MATCH = 85;
}

